=== debian/changelog ===
ros-noetic-sob-layer (0.1.1-1focal) focal; urgency=high

  * fix segmentation fault (#12 <https://github.com/dorezyuk/sob_layer/issues/12>)
  * Dima/unknown cost (#11 <https://github.com/dorezyuk/sob_layer/issues/11>)
  * Merge pull request #10 <https://github.com/dorezyuk/sob_layer/issues/10> from dorezyuk/dima/dev2
    Dima/dev2
  * update the image generation and images
  * adjust doc-string
  * move the power computation outside of the parabola loop
  * cache-friendlier formulation
  * fix compiler warnings when compiling with pedantic
  * remove calls to std::sqrt
  * fix include order
  * more explicit skipping
  * fix missing updateBounds call
  * Merge pull request #9 <https://github.com/dorezyuk/sob_layer/issues/9> from dorezyuk/dima/dev
    misc fixes
  * misc fixes
  * Merge pull request #8 <https://github.com/dorezyuk/sob_layer/issues/8> from dorezyuk/dima/dev
    Dima/dev
  * update README
  * fix cmake
  * Contributors: Dima Dorezyuk

 -- Dima Dorezyuk <dmitrij.dorezyuk@hotmail.de>  Sun, 21 Nov 2021 23:00:00 -0000

ros-noetic-sob-layer (0.1.0-1focal) focal; urgency=high

  * prepare for debian-packaging
  * minor fixes
  * adjust documentation
  * move the computeCache call into updateBounds
  * add documentation about unknown costs
  * add warning for unsupported parameters
  * fix doc
  * misc
  * Update README.md
  * add travis.yaml
  * add doc
  * add documentation and licence
  * Create LICENSE
  * init
  * Contributors: Dima Dorezyuk

 -- Dima Dorezyuk <dmitrij.dorezyuk@hotmail.de>  Mon, 23 Nov 2020 23:00:00 -0000
