=== debian/control ===
Source: ros-noetic-sob-layer
Section: misc
Priority: optional
Maintainer: Dima Dorezyuk <dmitrij.dorezyuk@hotmail.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-costmap-2d, ros-noetic-dynamic-reconfigure, ros-noetic-pluginlib
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-sob-layer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-costmap-2d, ros-noetic-dynamic-reconfigure, ros-noetic-pluginlib
Description: Plugin-replacement for the default costmap_2d::InflationLayer.
